function HealBot_Errors_OnLoad(self)
  -- do nothing
end

local HBclient=nil
local HB_errtext=nil
local x=nil
function HealBot_Errors_OnShow(self)
    HBclient = getglobal("HealBot_Error_Clientx")
    HBclient:SetText("Client="..GetLocale())
    HealBot_Error_Versionx:SetText("Healbot verion="..HEALBOT_VERSION)
    HealBot_Error_Classx:SetText("Player class="..HealBot_PlayerClassEN)
end

function HealBot_Errors_OnHide(self)
    HealBot_StopMoving(self);
    HealBot_Errors_Clear()
end

function HealBot_Errors_Clear()
    for x=1,3 do
        HB_errtext = getglobal("HealBot_Error"..x);
        HB_errtext:SetText(" ")
    end
    HealBot_ErrorCntReset();
end

function HealBot_Errors_OnDragStart(self,arg1)
    HealBot_StartMoving(self);
end

function HealBot_Errors_OnDragStop(self)
    HealBot_StopMoving(self);
end

function HealBot_ErrorsIn(msg,id)
    HB_errtext = getglobal("HealBot_Error"..id);
    HB_errtext:SetText(msg)
    if not HealBot_Error:IsVisible() then 
        ShowUIPanel(HealBot_Error)
    end
end
